
{% load static %}
{% load custom_tags %}
{% load humanize %}
{% load mathfilters %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Surat Perintah Kerja (SPK)</title>
    <style>
        body {
            font-family: 'Times New Roman', Times, serif !important;
            line-height: 1.5 !important;
            font-size: 10px !important;
            color: #000 !important;
        }

        .avoid-break-inside{
            page-break-inside: avoid;
            border-top: none !important;
        } 

        .hidden-footer {
                            visibility: hidden;
                            font-size: 0;
                        }

        @media print {
            .bordered-section {
                border: 1px solid black;
                box-decoration-break: clone;
                -webkit-box-decoration-break: clone;
                page-break-before: always;
            }    

            .bordered-section:first-of-type {
                border-top: 1px solid black;
            }

            .bordered-section + .bordered-section {
                page-break-before: always;
            }

            .bordered-section:first-of-type:not(:first-child) {
                border-top: none;
            }
            .hidden-footer {
                                visibility: hidden;
                                font-size: 0;
                            }
        }

    </style>
    
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrapv5.02.min.css' %}">
</head>
<body onload="">
    <div class="bordered-section">
        <div class="row border border-dark border-top-0 border-bottom-0 border-start-0 border-end-0 p-2">
            <div class="col-1 text-center">
                <img src="{{url_app}}{% static 'admin/images/logo-dgy.png' %}" alt="Logo" class="logo" height="50px">
            </div>
            <div class="col-11 text-center ">
                <h6 class="mb-0">PEMERINTAH KABUPATEN DOGIYAI</h6>
                <h4 class="mb-0"><b>{{data_spk.opd.namaopd|upper}}</b></h4>
                <p class="mb-0">{{data_spk.opd.alamatopd}}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-6 text-center border border-dark border-bottom-0 border-start-0 border-end-0 p-2 d-flex flex-column align-items-center justify-content-center">
                <h6 class="mb-0"><b>SURAT PERINTAH KERJA</b></h6>
                <h6><b>(SPK)</b></h6>
            </div>
            <div class="col-6 text-center border border-dark border-bottom-0 border-end-0 p-2 d-flex flex-column align-items-center justify-content-center">
                <p class="mb-0">Satuan Kerja :</p>
                <p class="mb-0"><b>{{data_spk.opd.namaopd|upper}}</b></p>
            </div>
        </div>
        <div class="row">
            <div class="col-6 text-center border border-dark border-bottom-0 border-start-0 border-end-0 p-2 d-flex flex-column align-items-center justify-content-center">
                <div class="page-number">
                    Halaman <span class="pageNumber">1</span> dari <span class="totalPages">{{totalPage}}</span>
                </div>
            </div>
            <div class="col-6 border border-dark border-bottom-0 border-end-0 p-2">
                <div class="row text-center ">
                    <div class="col-12 mb-0">
                        <p class="mb-0">Nomor dan Tanggal SPK :</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-2">
                        Nomor
                    </div>
                    <div class="col-10">
                        : {{data_spk.nospk}}
                    </div>
                </div>
                <div class="row">
                    <div class="col-2">
                        Tanggal
                    </div>
                    <div class="col-10">
                        : {{data_spk.tglspk|date:'d F Y'}}
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6 text-center border border-dark border-bottom-0 border-start-0 border-end-0 p-2 d-flex flex-column align-items-center justify-content-center">
                <p class="mb-0">Paket Pekerjaan :</p>
                <p class="mb-0">{{data_spk.uraipekerjaan}}</p>
            </div>
            <div class="col-6 border border-dark border-bottom-0 border-end-0">
                <div class="row text-center border border-dark border-top-0 border-end-0 border-start-0 border-end-0">
                    <div class="col-12">
                        <p class="mb-0"><u>Penyedia Barang/Kontraktor Pelaksana :</u></p>
                        <h6 class="mb-0"><b>{{data_spk.perusahaan.namaperusahaan}}</b></h6>
                        <p class="">{{data_spk.perusahaan.alamatperusahaan}}</p>
                    </div>
                </div>
                <div class="row text-justify">
                    <div class="col-12 text-justify">
                        <p>SPK ini mulai berlaku efektif terhitung sejak tanggal diterbitkannya SPK dan penyelesaian keseluruhan pekerjaan sebagaimana diatur dalam SPK ini.</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="row border border-dark border-start-0 border-end-0 border-bottom-0 p-2">
            <div class="col-12">
                <div class="row">
                    <div class="col-3">
                        Sumberdana
                    </div>
                    <div class="col-9">
                        : Dibebankan atas DPA Sekretariat Daerah Kabupaten Dogiyai
                    </div>
                </div>
                <div class="row">
                    <div class="col-3">
                        Untuk Mata Anggaran
                    </div>
                    <div class="col-9">
                        : 
                        {% for x in data_spk.list_rekening %}
                            - {{x}} <br>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
        <div class="row border border-dark border-start-0 border-end-0 border-bottom-0 p-2">
            <div class="col-12 text-center">
                Waktu Pelaksanaan Pekerjaan : {{data_spk.waktupelaksanaan}}
            </div>
        </div>
        <div class="row border border-dark border-start-0 border-end-0 border-bottom-0 p-2">
            <div class="col-12 text-center">
                Nilai Pekerjaan : Rp {{data_spk.nilai_pekerjaan|floatformat:2}}
            </div>
        </div>
        <div class="row border border-dark border-start-0 border-end-0 border-bottom-0 p-2">
            <div class="col-12">
                Rincian Barang : 
            </div>
        </div>
        <div class="row border border-dark border-start-0 border-end-0 border-top-0 border-bottom-0 p-0">
            <table class="table table-border border border-dark border-bottom-0 border-start-0 border-end-0 mb-0" width="100%">
                <thead class="text-center">
                    <th class="text-center border border-dark border-top-0 border-start-0">Uraian</th>
                    <th class="text-center border border-dark border-top-0 border-start-0">Volume</th>
                    <th class="text-center border border-dark border-top-0 border-start-0">Satuan</th>
                    <th class="text-center border border-dark border-top-0 border-start-0">Harga satuan  (Rp.)</th>
                    <th class="text-center border border-dark border-top-0 border-start-0 border-end-0">Jumlah Harga  (Rp.)</th>
                </thead>
                <tbody>

                    {% for item_rincianSPK, ssh in data_spk.rincian_rekening.items %}
                        <tr>
                            <td colspan="3" class="border border-dark border-start-0 border-end-0">
                                # {{item_rincianSPK}}
                            </td>
                        </tr>
                        {% for ssh in ssh %}
                            <tr>
                                <td class="text-end border border-dark border-start-0">{{ssh.uraian_ssh}}</td>
                                <td class="text-end border border-dark  border-start-0">{{ssh.volume|intcomma_no_decimal}}</td>
                                <td class="text-center border border-dark  border-start-0">{{ssh.satuan}}</td>
                                <td class="text-end border border-dark  border-start-0">Rp {{ssh.nilai}}</td>
                                <td class="text-end border border-dark border-end-0">Rp {{ssh.realisasi}}</td>
                              </tr>
                        {% endfor %}
                    {% endfor %}
                        
                            
                        <tr id="total-row">
                            <td colspan="3" class="border-bottom-0"></td>
                            <td class="text-end border border-dark border-start-0 border-bottom-0"><strong>Total</strong></td>
                            <td id="total-value" class="text-end border-bottom-0"><strong>Rp {{data_spk.jumlah_harga}}</strong> </td>
                        </tr>
                </tbody>    
            </table>
        </div>
        <div class="row border border-dark border-bottom-0 border-end-0 border-start-0 p-2">
            <b><i>Terbilang: {{data_spk.jumlah_harga|floatformat:0|cut:"."|cut:","|terbilang }}</i></b>
        </div>
        <div class="row border border-dark border-bottom-0 border-end-0 border-start-0 p-2">
            <p class="mb-0">
                <b><u>INSTRUKSI KEPADA PENYEDIA: </u></b>
            </p>
            <p class="text-justify">
                Penagihan hanya dapat dilakukan setelah penyelesaian pekerjaan yang diperintahkan dalam SPK ini dan dibuktikan dengan Berita Acara Serah Terima. Jika pekerjaan tidak dapat diselesaikan dalam jangka waktu pelaksanaan pekerjaan karena kesalahan atau kelalaian Penyedia maka Penyedia berkewajiban untuk membayar denda kepada PPK sebesar 1/1000 (satu per seribu) dari bagian tertentu nilai SPK sebelum PPN setiap hari kalender keterlambatan dan maksimal 5%.
            </p>
        </div>
        <div class="row border border-dark border-end-0 border-start-0 border-bottom-0 p-2 avoid-break-inside">
            <div class="col-6 text-center">
                Untuk dan Atas Nama <br>
                Pemerintah Kabupaten Dogiyai <br>
                Pejabat Pembuat Komitmen (PPK)
                <div class="" style="margin-top: 20%;">
                    {{ dt_pengesah.namapegawai|title }} <br>
                    (NIP. {{ dt_pengesah.nip }})
                </div>
            </div>
            <div class="col-6 text-center">
                Untuk dan Atas Nama <br>
                Penyedia Barang/Jasa <br>
                {{data_spk.perusahaan.namaperusahaan|title}}
                <div class="" style="margin-top: 20%;">
                    {{data_spk.perusahaan.namadirektur|title}} <br>
                    (PIMPINAN)
                </div>
            </div>
        </div>
    </div>
</body>
</html>